Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
serial::AnalogModem Interface Reference

Interface for communication with an analog modem attached to a serial port. More...

## Classes
struct | CallEndedEvent
| An event that's emitted when a dial-in call was hung up. More...
struct | CallReceivedEvent
| An event that's emitted when a dial-in call was answered. More...
struct | DialInEvent
| Dial-in event. More...
struct | Settings

## Public Member Functions
Settings | getSettings ()
| Get modem settings.
int | setSettings (in Settings settings)
| Set modem settings.

## Public Attributes
constant int | SUCCESS = 0
| Error codes.
constant int | ERR_INVALID_VALUE = 1
| Invalid argument.

## Detailed Description

Interface for communication with an analog modem attached to a serial port.

Definition at line 18 of file AnalogModem.idl.

## Member Function Documentation

## ◆ getSettings()

Settings serial::AnalogModem::getSettings | ( |  | ) |

Get modem settings.

Returns
  – Current modem settings

## ◆ setSettings()

int serial::AnalogModem::setSettings | ( | in Settings | settings | ) |

Set modem settings.

Parameters

  settings | – New settings

Returns
  SUCCESS – on success
  ERR_INVALID_VALUE – if any passed value was invalid

## Member Data Documentation

## ◆ ERR_INVALID_VALUE

constant int serial::AnalogModem::ERR_INVALID_VALUE = 1

Invalid argument.

Definition at line 23 of file AnalogModem.idl.

## ◆ SUCCESS

constant int serial::AnalogModem::SUCCESS = 0

Error codes.

No error

Definition at line 22 of file AnalogModem.idl.

The documentation for this interface was generated from the following file:

- AnalogModem.idl